commit:     c673770d67a67a83f41fb1eddc9e29726b22bb33
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 18 21:52:51 2015 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Dec 18 22:01:15 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c673770d

dev-lang/python: Ensure python-config & .pc ABI symlinks, idle wrapping

Fix the pythonX.Y-config symlink creation to be only applied when
ABIFLAGS are not empty, and add additional python-X.Ym.pc symlink for
pkg-config. Make both official as they are created as part of regular
upstream 'make install' (but not 'make altinstall' used by Gentoo).

Install python-exec wrapping symlink for the idle executable when USE=tk
is enabled.

 .../{python-2.7.10-r4.ebuild => python-2.7.10-r5.ebuild}  |  5 +++++
 .../{python-2.7.11.ebuild => python-2.7.11-r1.ebuild}     |  5 +++++
 .../{python-3.3.5-r5.ebuild => python-3.3.5-r6.ebuild}    | 15 ++++++++++-----
 .../{python-3.4.3-r5.ebuild => python-3.4.3-r6.ebuild}    | 15 ++++++++++-----
 .../{python-3.5.0-r4.ebuild => python-3.5.0-r5.ebuild}    | 15 ++++++++++-----
 .../{python-3.5.1.ebuild => python-3.5.1-r1.ebuild}       | 15 ++++++++++-----
 6 files changed, 50 insertions(+), 20 deletions(-)

diff --git a/dev-lang/python/python-2.7.10-r4.ebuild 
b/dev-lang/python/python-2.7.10-r5.ebuild
similarity index 99%
rename from dev-lang/python/python-2.7.10-r4.ebuild
rename to dev-lang/python/python-2.7.10-r5.ebuild
index ee52958..e4d9824 100644
--- a/dev-lang/python/python-2.7.10-r4.ebuild
+++ b/dev-lang/python/python-2.7.10-r5.ebuild
@@ -337,6 +337,11 @@ src_install() {
                "${D}${PYTHON_SCRIPTDIR}/2to3" || die
        ln -s "../../../bin/pydoc${SLOT}" \
                "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
+       # idle
+       if use tk; then
+               ln -s "../../../bin/idle${PYVER}" \
+                       "${D}${PYTHON_SCRIPTDIR}/idle" || die
+       fi
 }
 
 pkg_preinst() {

diff --git a/dev-lang/python/python-2.7.11.ebuild 
b/dev-lang/python/python-2.7.11-r1.ebuild
similarity index 99%
rename from dev-lang/python/python-2.7.11.ebuild
rename to dev-lang/python/python-2.7.11-r1.ebuild
index f3113c6..3cf1079 100644
--- a/dev-lang/python/python-2.7.11.ebuild
+++ b/dev-lang/python/python-2.7.11-r1.ebuild
@@ -338,6 +338,11 @@ src_install() {
                "${D}${PYTHON_SCRIPTDIR}/2to3" || die
        ln -s "../../../bin/pydoc${SLOT}" \
                "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
+       # idle
+       if use tk; then
+               ln -s "../../../bin/idle${PYVER}" \
+                       "${D}${PYTHON_SCRIPTDIR}/idle" || die
+       fi
 }
 
 pkg_preinst() {

diff --git a/dev-lang/python/python-3.3.5-r5.ebuild 
b/dev-lang/python/python-3.3.5-r6.ebuild
similarity index 96%
rename from dev-lang/python/python-3.3.5-r5.ebuild
rename to dev-lang/python/python-3.3.5-r6.ebuild
index eac97ee..a85ba3c 100644
--- a/dev-lang/python/python-3.3.5-r5.ebuild
+++ b/dev-lang/python/python-3.3.5-r6.ebuild
@@ -254,10 +254,14 @@ src_install() {
 
        # Cheap hack to get version with ABIFLAGS
        local abiver=$(cd "${ED}usr/include"; echo python*)
-       # Replace python3.X with a symlink if appropriate
        if [[ ${abiver} != python${PYVER} ]]; then
+               # Replace python3.X with a symlink to python3.Xm
                rm "${ED}usr/bin/python${PYVER}" || die
                dosym "${abiver}" "/usr/bin/python${PYVER}"
+               # Create python3.X-config symlink
+               dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+               # Create python-3.5m.pc symlink
+               dosym "python-${PYVER}.pc" 
"/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
        fi
 
        if use build; then
@@ -325,10 +329,11 @@ src_install() {
                "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
        ln -s "../../../bin/pyvenv-${PYVER}" \
                "${D}${PYTHON_SCRIPTDIR}/pyvenv" || die
-
-       # Compatibility link for stuff that calls ${PYTHON}-config
-       # Remove this when all revdeps have been fixed to not do that.
-       dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+       # idle
+       if use tk; then
+               ln -s "../../../bin/idle${PYVER}" \
+                       "${D}${PYTHON_SCRIPTDIR}/idle" || die
+       fi
 }
 
 pkg_preinst() {

diff --git a/dev-lang/python/python-3.4.3-r5.ebuild 
b/dev-lang/python/python-3.4.3-r6.ebuild
similarity index 96%
rename from dev-lang/python/python-3.4.3-r5.ebuild
rename to dev-lang/python/python-3.4.3-r6.ebuild
index ecdb23d..98549fa 100644
--- a/dev-lang/python/python-3.4.3-r5.ebuild
+++ b/dev-lang/python/python-3.4.3-r6.ebuild
@@ -241,10 +241,14 @@ src_install() {
 
        # Cheap hack to get version with ABIFLAGS
        local abiver=$(cd "${ED}usr/include"; echo python*)
-       # Replace python3.X with a symlink if appropriate
        if [[ ${abiver} != python${PYVER} ]]; then
+               # Replace python3.X with a symlink to python3.Xm
                rm "${ED}usr/bin/python${PYVER}" || die
                dosym "${abiver}" "/usr/bin/python${PYVER}"
+               # Create python3.X-config symlink
+               dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+               # Create python-3.5m.pc symlink
+               dosym "python-${PYVER}.pc" 
"/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
        fi
 
        use elibc_uclibc && rm -fr "${libdir}/test"
@@ -308,10 +312,11 @@ src_install() {
                "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
        ln -s "../../../bin/pyvenv-${PYVER}" \
                "${D}${PYTHON_SCRIPTDIR}/pyvenv" || die
-
-       # Compatibility link for stuff that calls ${PYTHON}-config
-       # Remove this when all revdeps have been fixed to not do that.
-       dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+       # idle
+       if use tk; then
+               ln -s "../../../bin/idle${PYVER}" \
+                       "${D}${PYTHON_SCRIPTDIR}/idle" || die
+       fi
 }
 
 pkg_preinst() {

diff --git a/dev-lang/python/python-3.5.0-r4.ebuild 
b/dev-lang/python/python-3.5.0-r5.ebuild
similarity index 96%
rename from dev-lang/python/python-3.5.0-r4.ebuild
rename to dev-lang/python/python-3.5.0-r5.ebuild
index df51c60..2ed9898 100644
--- a/dev-lang/python/python-3.5.0-r4.ebuild
+++ b/dev-lang/python/python-3.5.0-r5.ebuild
@@ -244,10 +244,14 @@ src_install() {
 
        # Cheap hack to get version with ABIFLAGS
        local abiver=$(cd "${ED}usr/include"; echo python*)
-       # Replace python3.X with a symlink if appropriate
        if [[ ${abiver} != python${PYVER} ]]; then
+               # Replace python3.X with a symlink to python3.Xm
                rm "${ED}usr/bin/python${PYVER}" || die
                dosym "${abiver}" "/usr/bin/python${PYVER}"
+               # Create python3.X-config symlink
+               dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+               # Create python-3.5m.pc symlink
+               dosym "python-${PYVER}.pc" 
"/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
        fi
 
        use elibc_uclibc && rm -fr "${libdir}/test"
@@ -311,10 +315,11 @@ src_install() {
                "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
        ln -s "../../../bin/pyvenv-${PYVER}" \
                "${D}${PYTHON_SCRIPTDIR}/pyvenv" || die
-
-       # Compatibility link for stuff that calls ${PYTHON}-config
-       # Remove this when all revdeps have been fixed to not do that.
-       dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+       # idle
+       if use tk; then
+               ln -s "../../../bin/idle${PYVER}" \
+                       "${D}${PYTHON_SCRIPTDIR}/idle" || die
+       fi
 }
 
 pkg_preinst() {

diff --git a/dev-lang/python/python-3.5.1.ebuild 
b/dev-lang/python/python-3.5.1-r1.ebuild
similarity index 96%
rename from dev-lang/python/python-3.5.1.ebuild
rename to dev-lang/python/python-3.5.1-r1.ebuild
index cce4c7d..ef7c58e 100644
--- a/dev-lang/python/python-3.5.1.ebuild
+++ b/dev-lang/python/python-3.5.1-r1.ebuild
@@ -244,10 +244,14 @@ src_install() {
 
        # Cheap hack to get version with ABIFLAGS
        local abiver=$(cd "${ED}usr/include"; echo python*)
-       # Replace python3.X with a symlink if appropriate
        if [[ ${abiver} != python${PYVER} ]]; then
+               # Replace python3.X with a symlink to python3.Xm
                rm "${ED}usr/bin/python${PYVER}" || die
                dosym "${abiver}" "/usr/bin/python${PYVER}"
+               # Create python3.X-config symlink
+               dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+               # Create python-3.5m.pc symlink
+               dosym "python-${PYVER}.pc" 
"/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
        fi
 
        use elibc_uclibc && rm -fr "${libdir}/test"
@@ -311,10 +315,11 @@ src_install() {
                "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
        ln -s "../../../bin/pyvenv-${PYVER}" \
                "${D}${PYTHON_SCRIPTDIR}/pyvenv" || die
-
-       # Compatibility link for stuff that calls ${PYTHON}-config
-       # Remove this when all revdeps have been fixed to not do that.
-       dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
+       # idle
+       if use tk; then
+               ln -s "../../../bin/idle${PYVER}" \
+                       "${D}${PYTHON_SCRIPTDIR}/idle" || die
+       fi
 }
 
 pkg_preinst() {

Reply via email to